%global namedreltag .Fork26
%global namedversion %{version}%{?namedreltag}
%global debug_package %{nil}

Name:           netty-tcnative
Version:        1.1.33
Release:        1
Summary:        Fork of Tomcat Native with improved OpenSSL and mavenized build
License:        Apache-2.0
URL:            https://github.com/netty/netty/wiki/Forked-Tomcat-Native
Source0:        https://github.com/netty/netty-tcnative/archive/%{name}-parent-%{namedversion}.tar.gz
Source1:        fixLibNames.patch.in
BuildRequires:  fdupes
BuildRequires:  libtcnative-1-0
BuildRequires:  maven-local
BuildRequires:  mvn(io.netty:netty-parent:pom:)
BuildRequires:  mvn(kr.motd.maven:os-maven-plugin)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:  sonatype-oss-parent maven-plugin-build-helper python3-lxml python3 python3-cssselect
Requires:       libtcnative-1-0

%description
netty-tcnative is a fork of Tomcat Native. It includes a set of changes
contributed by Twitter, Inc, such as:
 *  Simplified distribution and linkage of native library
 *  Complete mavenization of the project
 *  Improved OpenSSL support
To minimize the maintenance burden, we create a dedicated branch for each stable
upstream release and apply our own changes on top of it, while keeping the
number of maintained branches to minimum

%package javadoc
Summary:        API documentation for %{name}
BuildArch:      noarch

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-parent-%{namedversion}
patch=`mktemp`
sed "s;@PATH@;%{_libdir};g" < %{SOURCE1} > $patch
patch -p1 < $patch

%pom_disable_module openssl-static
%pom_disable_module boringssl-static
%pom_disable_module libressl-static

%pom_remove_plugin :maven-enforcer-plugin .
%pom_remove_plugin :maven-antrun-plugin . openssl-dynamic
%pom_remove_plugin :maven-hawtjni-plugin openssl-dynamic
%pom_xpath_remove pom:project/pom:profiles openssl-dynamic

%build
%{mvn_build} -f -- -Dsource=7

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Sun Jun 28 2020 yaokai13 <yaokai13@huawei.com> - 1.1.33-1
- Update to 1.1.33-1 

* Fri Dec 6 2019 huyan <hu.huyan@huawei.com> - 1.1.30-13
- Package Initialization
